Index: sansview/welcome_panel.py
===================================================================
--- sansview/welcome_panel.py	(revision 3bc60908be183ef71c604db0ef81eba1a2a28220)
+++ sansview/welcome_panel.py	(revision 2dda7ae1c66ac4fbd1b54fcf83f71b465329b306)
@@ -1,6 +1,5 @@
 """
     Welcome panel for SansView
-"""
-"""
+
 This software was developed by the University of Tennessee as part of the
 Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
@@ -18,5 +17,4 @@
 import os, sys
 import local_config as config
-import logging
 from wx.lib.scrolledpanel import ScrolledPanel
 from sans.guiframe.panel_base import PanelBase
@@ -40,5 +38,5 @@
    
     
-    def __init__(self,parent, *args, **kwds):
+    def __init__(self, parent, *args, **kwds):
         
         kwds["style"] = wx.aui.AUI_NB_DEFAULT_STYLE
@@ -52,5 +50,4 @@
         self.AddPage(page=welcome_page, caption="Welcome")
         
-        pageClosedEvent = wx.aui.EVT_AUINOTEBOOK_PAGE_CLOSE
         self.Bind(wx.aui.EVT_AUINOTEBOOK_PAGE_CLOSE, self.on_close_page)
         self.Center()
@@ -70,5 +67,5 @@
         event.Veto() 
         
-    def set_data(self, list=[]):
+    def set_data(self, list=None):
         """
         """
@@ -95,8 +92,4 @@
         ScrolledPanel.__init__(self, parent, **kwds)
         self.SetupScrolling()
-        path = os.getcwd()
-        import local_config
-        #icon_path = os.path.join(path, "images")
-        #print "PPP", icon_path,path
         image = os.path.join(local_config._welcome_image)
         self.SetWindowVariant(variant = FONT_VARIANT)
@@ -107,12 +100,11 @@
         self.label_acknowledgement = wx.StaticText(self, -1, config._acknowledgement)
         
-        self.hyperlink_license = wx.StaticText(self, -1, "Comments? Bugs? Requests?")
+        self.hyperlink_license = wx.StaticText(self, -1, 
+                                               "Comments? Bugs? Requests?")
         self.hyperlink_paper = wx.lib.hyperlink.HyperLinkCtrl(self, -1,
-                                         "Send us a ticket at:  sansdanse@gmail.com",URL=config._license)
+            "Send us a ticket at:  sansdanse@gmail.com", URL=config._license)
         
-        verwords = config.__version__.split('.')
-        version = '.'.join(verwords[:-1])
-        revision = verwords[-1]
-        self.label_title = wx.StaticText(self, -1, config.__appname__+ " "+str(config.__version__))#(version))
+        self.label_title = wx.StaticText(self, -1, 
+            config.__appname__+ " "+str(config.__version__))
         try:
             build_num = str(config.__build__)
@@ -127,16 +119,22 @@
         sizer_header.Add(self.bitmap_logo, 0, wx.EXPAND|wx.LEFT, 5)
         
-        sizer_build.Add(self.label_acknowledgement,0,wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)  
+        sizer_build.Add(self.label_acknowledgement, 0,
+                        wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)  
         sizer_build.Add((5,5))
-        sizer_build.Add(self.label_title ,0,wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)  
-        sizer_build.Add(self.label_build,0,wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)  
-        sizer_build.Add( self.label_copyright,0,wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15) 
-        sizer_build.Add((5,5))
-        sizer_build.Add( self.hyperlink_license,0,wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15) 
-        sizer_build.Add( self.hyperlink_paper,0,wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15) 
+        sizer_build.Add(self.label_title, 0,
+                        wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)  
+        sizer_build.Add(self.label_build, 0, 
+                        wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)  
+        sizer_build.Add(self.label_copyright, 0,
+                        wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15) 
+        sizer_build.Add((5, 5))
+        sizer_build.Add(self.hyperlink_license, 0,
+                        wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15) 
+        sizer_build.Add(self.hyperlink_paper, 0,
+                        wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15) 
         
         sizer_main.Add(sizer_header, 0, wx.TOP|wx.EXPAND, 3)
         sizer_main.Add(self.static_line_1, 0, wx.EXPAND, 0)
-        sizer_main.Add(sizer_build,0, wx.BOTTOM|wx.EXPAND, 3)
+        sizer_main.Add(sizer_build,0 , wx.BOTTOM|wx.EXPAND, 3)
         
         self.SetAutoLayout(True)
@@ -144,5 +142,5 @@
         self.Fit()
         
-    def set_data(self, list=[]):
+    def set_data(self, list=None):
         """
         """
@@ -150,4 +148,7 @@
 
 class ViewApp(wx.App):
+    """
+        Test application
+    """
     def OnInit(self):
         self.frame = WelcomeFrame(None, -1, "Test App")    
@@ -156,4 +157,7 @@
 
 class WelcomeFrame(wx.Frame):
+    """
+        Test frame
+    """
     def __init__(self, parent, id, title):
         wx.Frame.__init__(self, parent, id, title, size=(570, 400))
